- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QNetworkRequest Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qnetworkrequest.h.

`#include <qnetworkrequest.h>`

List of all members.

## Public Types
enum | KnownHeaders { ContentTypeHeader, ContentLengthHeader, LocationHeader, LastModifiedHeader, CookieHeader, SetCookieHeader }
enum | Attribute { HttpStatusCodeAttribute, HttpReasonPhraseAttribute, RedirectionTargetAttribute, ConnectionEncryptedAttribute, CacheLoadControlAttribute, CacheSaveControlAttribute, SourceIsFromCacheAttribute, DoNotBufferUploadDataAttribute, HttpPipeliningAllowedAttribute, HttpPipeliningWasUsedAttribute, CustomVerbAttribute, CookieLoadControlAttribute, AuthenticationReuseAttribute, CookieSaveControlAttribute, MaximumDownloadBufferSizeAttribute, DownloadBufferAttribute, User = 1000, UserMax = 32767 }
enum | CacheLoadControl { AlwaysNetwork, PreferNetwork, PreferCache, AlwaysCache }
enum | LoadControl { Automatic = 0, Manual }
enum | Priority { HighPriority = 1, NormalPriority = 3, LowPriority = 5 }
## Public Member Functions
| QNetworkRequest (const QUrl &url=QUrl())
| QNetworkRequest (const QNetworkRequest &other)
| ~QNetworkRequest ()
QNetworkRequest & | operator= (const QNetworkRequest &other)
bool | operator== (const QNetworkRequest &other) const
bool | operator!= (const QNetworkRequest &other) const
QUrl | url () const
void | setUrl (const QUrl &url)
QVariant | header (KnownHeaders header) const
void | setHeader (KnownHeaders header, const QVariant &value)
bool | hasRawHeader (const QByteArray &headerName) const
QList< QByteArray > | rawHeaderList () const
QByteArray | rawHeader (const QByteArray &headerName) const
void | setRawHeader (const QByteArray &headerName, const QByteArray &value)
QVariant | attribute (Attribute code, const QVariant &defaultValue=QVariant()) const
void | setAttribute (Attribute code, const QVariant &value)
QSslConfiguration | sslConfiguration () const
void | setSslConfiguration (const QSslConfiguration &configuration)
void | setOriginatingObject (QObject *object)
QObject * | originatingObject () const
Priority | priority () const
void | setPriority (Priority priority)
## Friends
class | QNetworkRequestPrivate

## Member Enumeration Documentation

enum KnownHeaders

Search for all occurrences

Enumerator:

  ContentTypeHeader | Search for all occurrences
  ContentLengthHeader | Search for all occurrences
  LocationHeader | Search for all occurrences
  LastModifiedHeader | Search for all occurrences
  CookieHeader | Search for all occurrences
  SetCookieHeader | Search for all occurrences

Definition at line 62 of file qnetworkrequest.h.

                          {
            ContentTypeHeader,
            ContentLengthHeader,
            LocationHeader,
            LastModifiedHeader,
            CookieHeader,
            SetCookieHeader
        };

enum Attribute

Search for all occurrences

Enumerator:

  HttpStatusCodeAttribute | Search for all occurrences
  HttpReasonPhraseAttribute | Search for all occurrences
  RedirectionTargetAttribute | Search for all occurrences
  ConnectionEncryptedAttribute | Search for all occurrences
  CacheLoadControlAttribute | Search for all occurrences
  CacheSaveControlAttribute | Search for all occurrences
  SourceIsFromCacheAttribute | Search for all occurrences
  DoNotBufferUploadDataAttribute | Search for all occurrences
  HttpPipeliningAllowedAttribute | Search for all occurrences
  HttpPipeliningWasUsedAttribute | Search for all occurrences
  CustomVerbAttribute | Search for all occurrences
  CookieLoadControlAttribute | Search for all occurrences
  AuthenticationReuseAttribute | Search for all occurrences
  CookieSaveControlAttribute | Search for all occurrences
  MaximumDownloadBufferSizeAttribute | Search for all occurrences
  DownloadBufferAttribute | Search for all occurrences
  User | Search for all occurrences
  UserMax | Search for all occurrences

Definition at line 70 of file qnetworkrequest.h.

                       {
            HttpStatusCodeAttribute,
            HttpReasonPhraseAttribute,
            RedirectionTargetAttribute,
            ConnectionEncryptedAttribute,
            CacheLoadControlAttribute,
            CacheSaveControlAttribute,
            SourceIsFromCacheAttribute,
            DoNotBufferUploadDataAttribute,
            HttpPipeliningAllowedAttribute,
            HttpPipeliningWasUsedAttribute,
            CustomVerbAttribute,
            CookieLoadControlAttribute,
            AuthenticationReuseAttribute,
            CookieSaveControlAttribute,
            MaximumDownloadBufferSizeAttribute, // internal
            DownloadBufferAttribute, // internal

            User = 1000,
            UserMax = 32767
        };

enum CacheLoadControl

Search for all occurrences

Enumerator:

  AlwaysNetwork | Search for all occurrences
  PreferNetwork | Search for all occurrences
  PreferCache | Search for all occurrences
  AlwaysCache | Search for all occurrences

Definition at line 91 of file qnetworkrequest.h.

                              {
            AlwaysNetwork,
            PreferNetwork,
            PreferCache,
            AlwaysCache
        };

enum LoadControl

Search for all occurrences

Enumerator:

  Automatic | Search for all occurrences
  Manual | Search for all occurrences

Definition at line 97 of file qnetworkrequest.h.

                         {
            Automatic = 0,
            Manual
        };

enum Priority

Search for all occurrences

Enumerator:

  HighPriority | Search for all occurrences
  NormalPriority | Search for all occurrences
  LowPriority | Search for all occurrences

Definition at line 102 of file qnetworkrequest.h.

                      {
            HighPriority = 1,
            NormalPriority = 3,
            LowPriority = 5
        };

## Constructor & Destructor Documentation

QNetworkRequest | ( | const QUrl & | url = `QUrl()` | ) | `[explicit]`

QNetworkRequest | ( | const QNetworkRequest & | other | ) |

~QNetworkRequest | ( |  | ) |

## Member Function Documentation

QNetworkRequest& operator= | ( | const QNetworkRequest & | other | ) |

bool operator== | ( | const QNetworkRequest & | other | ) | const

bool operator!= | ( | const QNetworkRequest & | other | ) | const `[inline]`

Definition at line 114 of file qnetworkrequest.h.

        { return !operator==(other); }

QUrl url | ( |  | ) | const

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) |

Search for all occurrences

QVariant header | ( | KnownHeaders | header | ) | const

Search for all occurrences

void setHeader | ( | KnownHeaders | header,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

bool hasRawHeader | ( | const QByteArray & | headerName | ) | const

Search for all occurrences

QList<QByteArray> rawHeaderList | ( |  | ) | const

Search for all occurrences

QByteArray rawHeader | ( | const QByteArray & | headerName | ) | const

Search for all occurrences

void setRawHeader | ( | const QByteArray & | headerName,
|  | const QByteArray & | value
| ) |  |

Search for all occurrences

QVariant attribute | ( | Attribute | code,
|  | const QVariant & | defaultValue = `QVariant()`
| ) |  | const

Search for all occurrences

void setAttribute | ( | Attribute | code,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

QSslConfiguration sslConfiguration | ( |  | ) | const

Search for all occurrences

void setSslConfiguration | ( | const QSslConfiguration & | configuration | ) |

Search for all occurrences

void setOriginatingObject | ( | QObject * | object | ) |

Search for all occurrences

QObject* originatingObject | ( |  | ) | const

Search for all occurrences

Priority priority | ( |  | ) | const

Search for all occurrences

void setPriority | ( | Priority | priority | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkRequestPrivate `[friend]`

Search for all occurrences

Definition at line 147 of file qnetworkrequest.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkrequest.h

QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest
QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest QNetworkRequest